> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch data sample

> Returns a data sample



## OpenAPI

````yaml /pipeline.yaml get /pipeline/{container_id}/source/{source_id}/sample/{sample_id}
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/{container_id}/source/{source_id}/sample/{sample_id}:
    get:
      tags:
        - Sampling and Simulation
      summary: Fetch data sample
      description: Returns a data sample
      parameters:
        - schema:
            type: string
            title: Container ID
            format: uuid
          in: path
          name: container_id
          required: true
          description: The ID of the container entity, either a Pipeline or Processor Group
        - schema:
            title: Source ID
            oneOf:
              - type: string
                format: uuid
              - enum:
                  - transform-group-input-source-id
          in: path
          name: source_id
          required: true
          description: The ID of the source to retrieve samples for
        - schema:
            type: string
            title: Sample ID
            format: uuid
          in: path
          name: sample_id
          required: true
          description: The ID of the sample
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````